Bug 71282 - Update java-commapi-freebsd version
Summary: Update java-commapi-freebsd version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-02 13:00 UTC by ari.suutari
Modified: 2004-09-03 22:25 UTC (History)
0 users

See Also:


Attachments
file.diff (1.22 KB, patch)
2004-09-02 13:00 UTC, ari.suutari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ari.suutari 2004-09-02 13:00:47 UTC
	Update java-commapi-freebsd to version 0.6, which fixes
	some bugs, which were introduced when JNI code was being
	converted from poll(2) to select(2).

Fix: Apply following patch:

How-To-Repeat: 	N/A
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-09-02 22:49:26 UTC
State Changed
From-To: open->feedback

When I try to install this on 4.x I get: 

src/org/freebsd/io/comm/libParallel.c:41: /sys/dev/ppbus/ppi.h: No such file or directory 
src/org/freebsd/io/comm/libParallel.c:42: /sys/dev/ppbus/ppbconf.h: No such file or directory 

Does the submitter see the same problem?
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2004-09-03 07:21:33 UTC
State Changed
From-To: feedback->open

Feedback received (port requires kernel sources installed).
Comment 3 ari.suutari 2004-09-03 11:45:40 UTC
I'll update 0.6 version to get include files from right
place and submit a new patch soon.
Comment 4 ari.suutari 2004-09-03 11:53:19 UTC
Hi,

Here is a new patch agains re-made 0.6 distribution, which
has been updated to get include files from correct locations:

Index: Makefile
===================================================================
RCS file: /scratch/freebsd-cvs/ports/comms/java-commapi-freebsd/Makefile,v
retrieving revision 1.6
diff -c -r1.6 Makefile
*** Makefile 8 Jul 2004 13:58:41 -0000 1.6
--- Makefile 2 Sep 2004 11:45:55 -0000
***************
*** 6,12 ****
  #
  
  PORTNAME= java-commapi-freebsd
! PORTVERSION= 0.5
  CATEGORIES= comms java
  MASTER_SITES= http://www.syncrontech.org/freebsd/
  DISTNAME= freebsd-commapi-${PORTVERSION}
--- 6,12 ----
  #
  
  PORTNAME= java-commapi-freebsd
! PORTVERSION= 0.6
  CATEGORIES= comms java
  MASTER_SITES= http://www.syncrontech.org/freebsd/
  DISTNAME= freebsd-commapi-${PORTVERSION}
Index: distinfo
===================================================================
RCS file: /scratch/freebsd-cvs/ports/comms/java-commapi-freebsd/distinfo,v
retrieving revision 1.3
diff -c -r1.3 distinfo
*** distinfo 8 Jul 2004 13:58:41 -0000 1.3
--- distinfo 3 Sep 2004 10:50:32 -0000
***************
*** 1,2 ****
! MD5 (freebsd-commapi-0.5.tar.gz) = 9a8f6696fbd9f2980d85c3a5366728ac
! SIZE (freebsd-commapi-0.5.tar.gz) = 15800
--- 1,2 ----
! MD5 (freebsd-commapi-0.6.tar.gz) = ef7a82ab23f76bfc4458f107309964e1
! SIZE (freebsd-commapi-0.6.tar.gz) = 15851
Comment 5 Greg Lewis freebsd_committer 2004-09-03 22:24:45 UTC
State Changed
From-To: open->closed

Committed, thanks! 

I also added a "JAVA_OS=native" to the Makefile to ensure a native JDK 
is selected to be used.